Bug 1568613 - RFE: RGW multi site enhancements for object replication status with the help of S3 APIs
Summary: RFE: RGW multi site enhancements for object replication status with the hel...
Keywords:
Status: ASSIGNED
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW-Multisite
Version: 4.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 5.*
Assignee: Casey Bodley
QA Contact: Tejas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-17 22:56 UTC by Uday Boppana
Modified: 2021-05-02 02:31 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1466956 0 high CLOSED [RFE] Improve RGW Multi-site radosgw-admin sync status and radosgw-admin bucket sync status commands 2021-02-22 00:41:40 UTC

Internal Links: 1466956

Description Uday Boppana 2018-04-17 22:56:43 UTC
- We need the ability to find out the following information for every object in a multi-site setup:
      - The last time the sync for an object was successful.
      - The current status of sync for the object (Is the sync in progress, or completed and failed?[If so the time of this event] )'
      - The next time the object will be replicated

- We need this information to be accessible via an S3 API


Note You need to log in before you can comment on or make changes to this bug.